Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 2851593002: Use ScopedTaskEnvironment instead of MessageLoopForUI in chrome tests. (Closed)

Created:
2 years ago by fdoray
Modified:
2 years ago
Reviewers:
gab, sky
CC:
chromium-reviews, extensions-reviews_chromium.org, vabr+watchlistpasswordmanager_chromium.org, jdonnelly+watch_chromium.org, tfarina, dcheng, oshima+watch_chromium.org, mac-reviews_chromium.org, chromium-apps-reviews_chromium.org, gcasto+watchlist_chromium.org, miu+watch_chromium.org, davemoore+watch_chromium.org, Matt Giuca
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use ScopedTaskEnvironment instead of MessageLoopForUI in chrome tests. ScopedTaskEnvironment allows usage of ThreadTaskRunnerHandle and base/task_scheduler/post_task.h within its scope. It should be instantiated in everytest that uses either of these APIs (i.e. no test should instantiate a MessageLoop directly). Motivation for ScopedTaskEnvironment can be found in: https://docs.google.com/document/d/1QabRo8c7D9LsYY3cEcaPQbOCLo8Tu-6VLykYXyl3Pkk/edit BUG=708584 Review-Url: https://codereview.chromium.org/2851593002 Cr-Commit-Position: refs/heads/master@{#468608} Committed: https://chromium.googlesource.com/chromium/src/+/72a220118ee319f86c84d6062ceae9200cb9e710

Patch Set 1 #

Patch Set 2 : self-review #

Patch Set 3 : self-review #

Patch Set 4 : self-review #

Total comments: 10

Patch Set 5 : CR #

Patch Set 6 : fix-build-errors #

Patch Set 7 : revert-image_writer_private_apitest #

Patch Set 8 : revert_extension_user_script_loader_unittest #

Patch Set 9 : fix-build-error #

Messages

Total messages: 49 (39 generated)
fdoray
2 years ago (2017-04-27 18:28:09 UTC) #1
fdoray
gab@: PTAL The change will then be TBRed to the owner.
2 years ago (2017-04-27 18:28:12 UTC) #3
sky
https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc File chrome/browser/extensions/extension_user_script_loader_unittest.cc (left): https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc#oldcode58 chrome/browser/extensions/extension_user_script_loader_unittest.cc:58: // ExtensionUserScriptLoader posts tasks to the file thread so ...
2 years ago (2017-04-27 22:17:47 UTC) #17
fdoray
Please take another look https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc File chrome/browser/extensions/extension_user_script_loader_unittest.cc (left): https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc#oldcode58 chrome/browser/extensions/extension_user_script_loader_unittest.cc:58: // ExtensionUserScriptLoader posts tasks to ...
2 years ago (2017-05-01 17:44:59 UTC) #29
sky
LGTM - but get a local owner for the extension change https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc File chrome/browser/extensions/extension_user_script_loader_unittest.cc (left): ...
2 years ago (2017-05-01 18:07:07 UTC) #30
fdoray
https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc File chrome/browser/extensions/extension_user_script_loader_unittest.cc (left): https://codereview.chromium.org/2851593002/diff/60001/chrome/browser/extensions/extension_user_script_loader_unittest.cc#oldcode58 chrome/browser/extensions/extension_user_script_loader_unittest.cc:58: // ExtensionUserScriptLoader posts tasks to the file thread so ...
2 years ago (2017-05-01 18:15:47 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2851593002/140001
2 years ago (2017-05-01 18:16:03 UTC) #38
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/373973)
2 years ago (2017-05-01 18:56:39 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2851593002/160001
2 years ago (2017-05-02 12:00:22 UTC) #46
commit-bot: I haz the power
2 years ago (2017-05-02 12:32:43 UTC) #49
Message was sent while issue was closed.
Committed patchset #9 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/72a220118ee319f86c84d6062cea...

Powered by Google App Engine
This is Rietveld 408576698